Subject: Re: bug#27953: vc-region-history doesn't follow renames

From: Andreas Schwab <[email-masked]>
Date: Sat, 05 Aug 2017 20:03:15 +0200

On Aug 05 2017, Eli Zaretskii <[email-masked]> wrote:

> I have 2.10 here, so maybe this was fixed later, but I don't see
> renames followed when -L is used.  E.g., try this:
>
>   git log -L77,83:admin/charsets/Makefile.in
>
> You will see Git claiming the only version which changed that is the
> one in which Makefile.in was created from Makefile.  Am I doing
> something wrong, or expecting too much?

The problem is that admin/charsets/Makefile.in is only similar to
admin/charsets/Makefile by 32%, much below the default threshold.  Try
lisp/obsolete/html2text.el instead, for example.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."